/*  ==========================================================================
    // Pricing Table
    //
    // for selling stuff
    //
    // .pricing-table--premium - premium
    //
    // Markup: pricing-table.html
    //
    // Style guide: Modules.Pricing Table
    //
    ========================================================================== */

    .pricing-table
    {
        position: relative;

        margin: $pricing-table-margin;
        padding-left: 0;

        text-indent: 0;
        color: $pricing-table-color;
        background-color: $pricing-table-background-color;
        border: 1px solid $gray-20;
    }

    .pricing-table--premium
    {
        .pricing-table__type
        {
            height: 250px;

            background-color: $pricing-table-premium-type-background-color;
        }
    }

    .pricing-table__type,
    .pricing-table__price,
    .pricing-table__price-group,
    .pricing-table__description,
    .pricing-table__bullet-title,
    .pricing-table__bullet-item,
    .pricing-table__cta,
    .pricing-table__disc
    {
        margin-bottom: 0;
        padding: 0 $r-gutter / 2;

        list-style: none;

        &:before
        {
            display: none;
        }
    }

    .pricing-table__type
    {
        height: 250px;
        padding: $pricing-table-type-padding;

        color: $pricing-table-type-color;
        font-size: $pricing-table-type-font-size;
        line-height: $pricing-table-type-line-height;
        font-weight: $pricing-table-type-font-weight;
        text-align: $pricing-table-type-text-align;
        background-color: $pricing-table-type-background-color;

        small 
        {
            @include inline-block;
            margin-top: $double-space;

            text-align: left;
            font-size: $pricing-table-type-small-font-size;
            line-height: $pricing-table-type-small-line-height;
            font-weight: $pricing-table-type-small-font-weight;
        }
    }

    .pricing-table__price-group
    {
        .pricing-table__price-container
        {
            margin-bottom: 0;
        }
    }

    .pricing-table__price
    {
        position: relative;

        padding: $double-space $single-space / 2;

        text-align: $pricing-table-price-text-align;
        color: $pricing-table-price-color;

        .text,
        .number,
        .subtext
        {
            display: block;
        }

        .text
        {
            font-weight: $pricing-table-price-text-font-weight;
            font-size: $pricing-table-price-text-font-size;
        }

        .number
        {
            font-size: $pricing-table-price-number-font-size;
            line-height: $pricing-table-price-number-line-height;
            font-weight: $pricing-table-price-number-font-weight;
            text-transform: $pricing-table-price-number-text-transform;
        }

        .subtext
        {
            font-weight: $pricing-table-price-subtext-font-weight;
            font-size: $pricing-table-price-subtext-font-size;
        }

        @include breakpoint(large)
        {
            padding: $double-space $single-space / 2 $double-space;

            .subtext
            {
                margin-left: 0;
            }
        }
    }

    .pricing-table__description
    {
        padding-top: $double-space;
        padding-bottom: $single-space;

        font-weight: $pricing-table-description-font-weight;
        font-size: $pricing-table-description-font-size;
        text-align: $pricing-table-description-text-align;  

        small
        {
            font-size: 1.5rem;
        }
    }

    .pricing-table__bullet-item
    {
        font-size: $pricing-table-bullet-font-size;

    }

    .pricing-table__bullet-item
    {
        margin: 0 $r-gutter / 2;
        padding-top: $single-space / 2;
        padding-bottom: $single-space / 2; 

        font-weight: $pricing-table-bullet-font-weight;
    }

    .pricing-table__bullet-item:last-of-type
    {
        color: $red;
    }

    .pricing-table__cta
    {   
        padding: $single-space $r-gutter $single-space / 2;

        text-align: $pricing-table-cta-text-align;
    }

    .pricing-table__disc
    {
        padding: $double-space 0;

        text-align: center;
        font-size: 1.8rem;
        font-weight: 400;
        color: $gray-60;
        border-top: 1px solid $gray-20;

        strong
        {
            font-weight: 700;
        }
    }
